After you have configured managed payouts with you Adyen contact, you can manage them in your Customer Area or using the Configuration API. You can view and modify the following details of your managed payouts:
- View a list of all your payout schedules and the details of each payout schedule on your balance platform.
- Apply a payout schedule to a balance account.
- View a list of all your managed payout schedules and the details of each payout schedule on a balance account.
- Update a payout schedule applied to a balance account.
- Deactivate or delete a payout schedule applied to a balance account.
Requirements
Before you begin, take into account the following requirements, limitations, and preparations:
| Requirement | Description |
|---|---|
Your API credential for the Configuration API must have the following role:
|
|
| Make sure that your users have the following roles: |
|
Subscribe to the following webhook:
|
|
|
Your user must have the following capability: |
|
|
Limitations |
|
View managed payout schedules for your balance platform
To view payout schedules configured on your balance platform:
-
From your server, make a GET /balancePlatforms/{balancePlatformId}/payoutSchedules request specifying the following parameters:
Parameter name Parameter type Required Description balancePlatformIdPath The unique identifier of your balance platform. countryCodeQuery The ISO 3166-1 alpha-2 code of the country to which the payout schedule applies. currencyQuery The ISO code of the currency for which the payout schedule applies. The following code example shows a GET /balancePlatforms/{balancePlatformId}/payoutSchedules request for a list that includes all managed payout schedules in your balance platform.
-
In the response, the balancePlatformPayoutSchedules array contains all the payout schedules in your balance platform that match the query parameters.
Take note of theidof the payout schedules, as you will need them to apply the schedule to a balance account.
To get the details of a specific payout schedule, make a GET /balancePlatforms/{balancePlatformId}/payoutSchedules/{id} request.
Apply a payout schedule to a balance account
To pay out using your managed payout schedules, you must apply the schedules to your users' balance accounts.
You can only apply one payout schedule per currency on each balance account.
You can apply payout schedules to your balance accounts using one of the following methods:
- Enable automatic application.
- Make a POST /balanceAccounts/{balanceAccountId}/payoutSchedules request.
- Use your Customer Area.
The following tabs explain each method.
If the the application of the managed payout schedule to the balance account is successful, Adyen sends a balancePlatform.balanceAccountPayoutSchedule.created webhook to notify you of the payout schedule creation.
View the payout schedule on a balance account
You can view the payout schedules on your balance account in your Customer Area, or by making a Configuration API request.
Update a payout schedule on a balance account
Deactivate a payout schedule on a balance account
You can temporarily deactivate a managed payout schedule on your balance account in your Customer Area, or by making a Configuration API request.
To deactivate a managed payout schedule applied to your balance platform, you must reach out to your Adyen contact.
Delete a payout schedule on a balance account
You can delete a managed payout schedule on your balance account in your Customer Area, or by making a Configuration API request.
To delete a managed payout schedule from your balance platform, reach out to your Adyen contact.
Testing
Before going live with managed payout schedules, we recommend that you test the scenarios described in the following table.
| Test scenario | Relevant schedules | Scenario description | Expected outcome |
|---|---|---|---|
|
Successfully apply a managed payout schedule |
All |
Apply a managed payout schedule to a balance account using automatic application or the Configuration API. |
If using automatic application, you must receive:
If using the Configuration API, you must receive:
|
|
Updating balance account details is not allowed |
All |
While a managed payout schedule is active, attempt a PATCH /balanceAccounts/{id} request to change the timeZone.The request must fail. You must delete the schedule before changing the timeZone of a balance account.
|
You must receive an HTTP 422—Unprocessable Entity response. The response must include:
|
|
Application fails because of |
All |
Using automatic application or the Configuration API, attempt to apply a managed payout schedule with the US countryCode to a balance account with a transfer instrument that has the CA countryCode.The application must fail because of countryCode mismatch.
|
If using automatic application, you must receive:
If using the Configuration API, you must receive:
|
Bank details for testing
Use the bank details in the following table to create transfer instruments to test your managed payout schedules.
Only use the following bank details in your TEST environment.
| Country/region | Payout currency | Account identification type | Details to use |
|---|---|---|---|
| AU | AUD | auLocal | Account #: 102201111, BSB #: 012951 |
| CA | CAD/USD | caLocal | Account #: 10220001111, INST #: 004, TRN #: 00012 |
| CH | CHF | iban | IBAN: CH5204835012345671000 |
| CZ | CZK | czLocal or iban | Account #: 000192000145399, Bank code#: 0800, IBAN: CZ6508000000192000145399 |
| DE | EUR | iban | IBAN: DE14100100109876543210 |
| DK | DKK | dkLocal or iban | Account #: 67559844, Bank code#: 0685, IBAN: DK9206850067559844 |
| ES | EUR | iban | IBAN: ES9021034677010000000000 |
| FR | EUR | iban | IBAN: FR6410096000403534259742Y90 |
| GB | GBP | iban or ukLocal | Account #: 50000000, Sort code: 202678 IBAN: GB66BUKB20267850000000 |
| HK | HKD/USD | hkLocal | Account #: 790000000, Clearing code #: 250 |
| HU | HUF | hkLocal or iban | Account #: 117730161111101800000000, IBAN: HU42117730161111101800000000 |
| IT | EUR | iban | IBAN: IT58A0300203280198574967934 |
| IR | EUR | iban | IBAN: IE29AIBK93115212345678 |
| NL | EUR | iban | IBAN: NL57INGB4654188101 |
| NO | NOK | noLocal or iban | Account #: 86011117947, IBAN: NO9386011117947 |
| NZ | NZD | nzLocal | Account #: 010001011111601 |
| PL | PLN | plLocal | Account #: 61109010140000071219812874 |
| RO | RON | iban | IBAN: RO16RZBR6343423217922456 |
| SE | SEK | seLocal or iban | Account #: 0000003, Clearing code #: 5491 |
| SG | SGD | sgLocal | Account #: 9999, BIC #: CITISGSG |
| US | USD | usLocal | Account #: 10220001111, Routing #: 121000248 |